Bug 113214 - SIDEBAR: Style combobox in Styles content panel stays at "More Styles..."
Summary: SIDEBAR: Style combobox in Styles content panel stays at "More Styles..."
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.3.8 target:5.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Sidebar-Properties-Style
  Show dependency treegraph
 
Reported: 2017-10-18 07:13 UTC by Yousuf Philips (jay)
Modified: 2017-10-20 13:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2017-10-18 07:13:36 UTC
steps:
1. open writer
2. open sidebar
3. open styles combobox and click 'More Styles...' entry
4. sidebar switches to styles deck
5. switch back to properties deck
6. styles combobox has 'More Styles...' selected

regression as this doesnt happen in 5.1.

Version: 6.0.0.0.alpha0+
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: myv-RU (en_US.UTF-8); Calc: group
Comment 1 Dieter Praas 2017-10-18 07:34:28 UTC
I confirm this bug.

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 465092047d5fa6ec6dd369372e712d76554570ff
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-09-26_23:16:01
Locale: de-DE (de_DE); Calc: group
Comment 2 raal 2017-10-18 14:57:23 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks


a2f1fff219a34c799c23722669722269129d24d6 is the first bad commit
commit a2f1fff219a34c799c23722669722269129d24d6
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Oct 3 03:23:35 2016 -0700

    source sha:b72593fac6addd571158bd37deccccb0045104a8
   
author    Caolán McNamara <caolanm@redhat.com>    2016-10-03 09:15:56 (GMT)
committer    Caolán McNamara <caolanm@redhat.com>    2016-10-03 09:17:26 (GMT)
commit    b72593fac6addd571158bd37deccccb0045104a8 (patch)
tree    deba646e9f5fa23f40d05faf4cdae2be580a51d6
parent    c7114b66bd615670950ef6f7c2d80adab3fb4c33 (diff)
Resolves: tdf#101470 don't restore last value when submenu appears
Comment 3 Commit Notification 2017-10-18 19:43:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ff293f2d2793b30f30d2f499b332e5329d4ddb4

Resolves: tdf#113214 change back to previous entry after 'more' is dispatcher

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2017-10-18 19:53:49 UTC
5-4 backport in gerrit
Comment 5 Commit Notification 2017-10-20 13:38:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91a2e5f1193d6b20d871f2b8a3467a1301ca3f81&h=libreoffice-5-3

Resolves: tdf#113214 change back to previous entry after 'more' is dispatcher

It will be available in 5.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-10-20 13:39:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d357a851f7dc4374eda88628a970f766d2234f2&h=libreoffice-5-4

Resolves: tdf#113214 change back to previous entry after 'more' is dispatcher

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.